{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf flags.laptop {

  # Gestion spécifique pour PC portable

  ## Gestion de l'énergie
  powerManagement.cpuFreqGovernor = "powersave";

  ## Activation d'un gestionnaire de réseau
  networking.networkmanager.enable = true;

  hardware.bluetooth.enable = true;

  # Paquets
  environment.systemPackages = with pkgs; [
    networkmanagerapplet    # gestionnaire réseau graphique + console (nm-applet + nmtui)
    wirelesstools           # fournis iwconfig
  ];

  # Services
  services.xserver.synaptics = {
    enable = true;
    twoFingerScroll = true;
  };
}
